Bug 650771 - [abrt] font-manager-0.5.6-1.fc14.1: main.py:314:quit:RuntimeError: called outside of a mainloop
Summary: [abrt] font-manager-0.5.6-1.fc14.1: main.py:314:quit:RuntimeError: called out...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: font-manager
Version: 14
Hardware: x86_64
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Jean-Francois Saucier
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:4e709dd4
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-08 02:47 UTC by mdmpsyd@gmail.com
Modified: 2011-01-12 05:27 UTC (History)
2 users (show)

Fixed In Version: font-manager-0.5.7-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-12 05:19:38 UTC


Attachments (Terms of Use)
File: backtrace (424 bytes, text/plain)
2010-11-08 02:47 UTC, mdmpsyd@gmail.com
no flags Details

Description mdmpsyd@gmail.com 2010-11-08 02:47:41 UTC
abrt version: 1.1.13
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/font-manager
component: font-manager
executable: /usr/bin/font-manager
kernel: 2.6.35.6-48.fc14.x86_64
package: font-manager-0.5.6-1.fc14.1
reason: main.py:314:quit:RuntimeError: called outside of a mainloop
release: Fedora release 14 (Laughlin)
time: 1289184439
uid: 500

backtrace
-----
main.py:314:quit:RuntimeError: called outside of a mainloop

Traceback (most recent call last):
  File "/usr/share/font-manager/main.py", line 314, in quit
    gtk.main_quit()
RuntimeError: called outside of a mainloop

Local variables in innermost frame:
unused_widget: <gtk.Window object at 0x2b9c280 (GtkWindow at 0x2c6c0c0)>
self: <main.Main object at 0x29e91d0>
possible_event: <gtk.gdk.Event at 0x2f08bc0: GDK_DELETE>

Comment 1 mdmpsyd@gmail.com 2010-11-08 02:47:43 UTC
Created attachment 458555 [details]
File: backtrace

Comment 2 Jean-Francois Saucier 2010-11-09 13:12:01 UTC
Thanks for reporting this bug.

Can you describe how this bug has happened to you? At program startup, when you use it, at idle?


Thank you!

Comment 3 jerrycasiano 2010-12-31 01:42:38 UTC
This happened because the application was closed while it was still loading.

Fixed in 0.5.7

Well, sort of, you might still lose your collections if you quit before they've been loaded, so for now avoid this.

Comment 4 Fedora Update System 2011-01-02 20:36:57 UTC
font-manager-0.5.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc14

Comment 5 Fedora Update System 2011-01-02 20:50:04 UTC
font-manager-0.5.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc13

Comment 6 Fedora Update System 2011-01-03 20:05:14 UTC
font-manager-0.5.7-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update font-manager'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/font-manager-0.5.7-1.fc14

Comment 7 Fedora Update System 2011-01-12 05:19:23 UTC
font-manager-0.5.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-01-12 05:27:12 UTC
font-manager-0.5.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.